<template>
  <div>
    <div v-if="data===null" class="alert alert-info m-3">
      <span>No hay productos agregados</span>
    </div>
    <table v-if="data!==null" class="table" :class="tableClass">
      <thead>
        <slot name="columns">
          <th v-for="column in columns" :key="column">{{ column }}</th>
          <th>Opciones</th>
        </slot>
      </thead>

      <tbody>
        <tr v-for="(item, index) in data" :key="index">
          <slot :row="item" :index="index">
            <td
              v-for="(column, index) in columns"
              :key="index"
              v-if="hasValue(item, column)"
            >{{ itemValue(item, column) }}</td>
          </slot>
        </tr>
      </tbody>
    </table>
  </div>
</template>
<script>
export default {
  created() {
    console.log(this.data);
  },
  name: "paper-table",
  props: {
    columns: Array,
    data: null,
    type: {
      type: String, // striped | hover
      default: "striped"
    },
    title: {
      type: String,
      default: ""
    },
    subTitle: {
      type: String,
      default: ""
    }
  },

  computed: {
    tableClass() {
      return `table-${this.type}`;
    }
  },
  methods: {
    hasValue(item, column) {
      return item[column.toLowerCase()] !== "undefined";
    },
    itemValue(item, column) {
      return item[column.toLowerCase()];
    }
  }
};
</script>
<style></style>
